Bug 3698 - kvt missing
kvt missing
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
: 3864 4088 4290 5079 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-24 02:03 EDT by zut
Modified: 2008-05-01 11:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-01 11:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zut 1999-06-24 02:03:23 EDT
upgrade package kdebase-1.1.1-1.i386.rpm does not contain
a kvt binary. The original kdebase package contains it.

Regards
Udo Toedter

------- Additional Comments From   06/24/99 22:30 -------
What happened to kvt in the RedHat kde-1.1.1 final rpm?

                  I see it in the SRPM, and,

                  # rpm -qpi kdebase-1.1.1-1.i386.rpm
                  Name        : kdebase
Relocations: /usr
                  Version    : 1.1.1
Vendor: Red Hat Software


                  Release    : 1                            Build
Date: Mon Jun 21
                  11:49:54 1999
                  Install date: (not installed)              Build
Host:
                  porky.devel.redhat.com
                  Group      : User Interface/Desktops      Source
RPM:
                  kdebase-1.1.1-1.src.rpm
                  Size        : 13237424
License: GPL/Artistic
                  Packager    : Red Hat Software
<http://developer.redhat.com/bugzilla>
                  Summary    : K Desktop Environment - core files
                  Description :
                  Core applications for the K Desktop Environment.
                  Included are:  kdm (replacement for xdm), kwm
(window manager), kfm
                  (filemanager, web browser, ftp client, ...), konsole
(xterm
                  replacement),
                  kpanel (application starter and desktop pager),
kaudio (audio server),
                  kdehelp (viewer for kde help files, info and man
pages), plus other
                  KDE components (kcheckpass, kikbd, kvt,
kscreensaver, kcontrol, kfind,
                  kfontmanager, kmenuedit, kappfinder).

                  PAM password authentication is supported via PAM
service: kde.

                  however,
                  # rpm -qpl kdebase-1.1.1-1.i386.rpm | grep kvt
Comment 1 Jeff Johnson 1999-07-02 10:06:59 EDT
*** Bug 3864 has been marked as a duplicate of this bug. ***

upgraded from kdebase1.1.1pre2-2 to kdebase-1.1.1-1

The kdebase-1.1.1-1 found at updates.redhat.com/6.0/i386
doesn't contain kvt.  It was in kdebase1.1.1pre2-2.  Also, I
noticed kpackage seems to be missing.

------- Additional Comments From jturner@redhat.com  07/02/99 08:27 -------
This issue has been assigned to a developer for further action.
Comment 2 genec 1999-07-02 10:37:59 EDT
Please note that kvt is present if rpms are build on the kde
distributed 1.1.1 final.  These RedHat rpms appear to be based on a
cvs version that has bugs.

Gene
Comment 3 Bill Nottingham 1999-07-31 17:58:59 EDT
*** Bug 4088 has been marked as a duplicate of this bug. ***

After I upgraded KDE on my system using the new
kdebase-1.1.1-1.i386.rpm I noticed that the kde application
kvt (the terminal) is missing. Is this a bug or a feature ?

------- Additional Comments From jturner@redhat.com  07/22/99 14:34 -------
Preston, can you comment on this?
Comment 4 Jeff Johnson 1999-07-31 19:27:59 EDT
*** Bug 4290 has been marked as a duplicate of this bug. ***

The defalut 6.0 install uses a pre 1.1.1 kde system.  If one
grabs the latest updates from the redhat mirrors and updates
the kde packages, namely kdebase, they loose their kvt app.
Which is the main "xterm" for kde.  This would be really
nice if it could be fixed and an updated rpm for kdebase put
in it's place.  Thanks.
Comment 5 Bill Nottingham 1999-08-19 18:08:59 EDT
kvt has been replaced by konsole.
Comment 6 everhart 1999-09-01 01:41:59 EDT
Any particular reason WHY you aren't going to bother fixing this?
Comment 7 Preston Brown 1999-09-01 11:34:59 EDT
kvt is full of security holes, and even when it is not run SUID, it
has problems changing ownership of the controlling tty.

If kvt gets fixed up before the release of KDE 1.1.2, we will include
it again, but it is slated for removal from KDE 2.0 by the KDE core
team anyway, so I would begin switching to konsole now.
Comment 8 Bill Nottingham 1999-09-13 14:31:59 EDT
*** Bug 5079 has been marked as a duplicate of this bug. ***

Lorax/Rawhide --

Installation --

The kvt program is missing from the kdebase rpm.

Gene C.

Note You need to log in before you can comment on or make changes to this bug.